using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class LabelHandler
    {
        IFWLabels controller;
        public LabelHandler(IFWLabels controller)
        {
            this.controller = controller;
        }
        public LabelHandler Click(string value, int repeatingTime = 0)
        {
            controller.LabelClickBy(value, repeatingTime);
            return new LabelHandler(controller);
        }
        public LabelHandler DoubleClick(string value, int repeatingTime = 0)
        {
            controller.LabelDoubleClickBy(value, repeatingTime);
            return new LabelHandler(controller);
        }
        public string ElementName(string value, int repeatingTime = 0)
        {
            return controller.LabelGetName(value, repeatingTime);
        }
        public bool IsVisible(string value, int repeatingTime = 0)
        {
            if (controller.LabelIsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public bool Exist(string value, int repeatingTime = 0)
        {
            if (controller.LabelExist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
